Skip to main content
POST
/
vq
/
developer
/
keys
Create API key
curl --request POST \
  --url https://api.vectrade.io/v1/vq/developer/keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "scopes": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "keyPrefix": "<string>",
  "label": "<string>",
  "scopes": [
    "<string>"
  ],
  "rawKey": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vectrade.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
label
string
required

Human-readable label for the key

scopes
string[]

Permission scopes for the key

Response

API key created (includes raw key)

id
string
required
keyPrefix
string
required
label
string
required
scopes
string[]
required
rawKey
string
required

Full API key — returned only once on creation

createdAt
string<date-time>
required